<?xml version="1.0" encoding="UTF-8"?>

<module name="smooth and downsize" class="SmoothDown">

    <inputs>
        <input name="inField" type="org.visnow.vn.lib.types.VNRegularField" modifiers="NECESSARY:TRIGGERING">
            <acceptor>
                <param name="LARGE" value="true"/>
                <param name="NDIMS" value="2"/>
            </acceptor>
            <acceptor>
                <param name="LARGE" value="true"/>
                <param name="NDIMS" value="3"/>
            </acceptor>                          
        </input>
    </inputs>

    <outputs>
        <output name="outField" type="org.visnow.vn.lib.types.VNRegularField">
        </output>
        <geometryOutput/>
    </outputs>
    <parameters>
    </parameters>
    <description value="smooths and downsizes regular field by convolution with a Gaussian kernel"/>
</module>
